import { Editor } from '@tiptap/core';
import { Ref } from 'vue';
import { EditorCommand, EditorCommandGroup } from '.';
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/paragraph}
 */
export declare function useParagraph(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 */
export declare function useArticle(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 */
export declare function useFootnote(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/heading}
 */
export declare function useHeading1(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/heading}
 */
export declare function useHeading2(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/nodes/heading}
 */
export declare function useHeading3(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/marks/subscript}
 */
export declare function useSubscript(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/marks/superscript}
 */
export declare function useSupercript(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useSizesGroup(editor: Ref<Editor | undefined>, disabled?: {
    article?: boolean;
    headings?: boolean;
    footnote?: boolean;
}): import("vue").ComputedRef<EditorCommandGroup>;
